import * as React from 'react';
const GearIcon = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; color?: string } & React.SVGProps<any>) => (
  <svg
    width={size || 17}
    height={size || 18}
    viewBox="0 0 20 20"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M7.99618 0.86888C8.3581 0.32605 8.9673 0 9.6197 0H10.3803C11.0327 0 11.6419 0.32605 12.0038 0.86888L13.145 2.58067L14.894 2.17706C15.5495 2.02578 16.2367 2.22288 16.7125 2.69859L17.3014 3.28754C17.7771 3.76326 17.9742 4.45048 17.8229 5.10601L17.4193 6.85498L19.1311 7.99618C19.674 8.3581 20 8.9673 20 9.6197V10.3803C20 11.0327 19.674 11.6419 19.1311 12.0038L17.4193 13.145L17.8229 14.894C17.9742 15.5495 17.7771 16.2367 17.3014 16.7125L16.7125 17.3014C16.2367 17.7771 15.5495 17.9742 14.894 17.8229L13.145 17.4193L12.0038 19.1311C11.6419 19.674 11.0327 20 10.3803 20H9.6197C8.9673 20 8.3581 19.674 7.99618 19.1311L6.85498 17.4193L5.10601 17.8229C4.45048 17.9742 3.76326 17.7771 3.28754 17.3014L2.69859 16.7125C2.22288 16.2367 2.02578 15.5495 2.17706 14.894L2.58067 13.145L0.86888 12.0038C0.32605 11.6419 0 11.0327 0 10.3803V9.6197C0 8.9673 0.32605 8.3581 0.86888 7.99618L2.58067 6.85498L2.17706 5.10601C2.02578 4.45048 2.22288 3.76326 2.69859 3.28754L3.28754 2.69859C3.76326 2.22288 4.45048 2.02578 5.10601 2.17706L6.85498 2.58067L7.99618 0.86888ZM6.5 10C6.5 8.067 8.067 6.5 10 6.5C11.933 6.5 13.5 8.067 13.5 10C13.5 11.933 11.933 13.5 10 13.5C8.067 13.5 6.5 11.933 6.5 10Z"
      fill={color}
    />
  </svg>
);
export default GearIcon;
